Summary: Monitor the progress of data through a pipe
Name: pv
Version: 1.4.12
Release: 1
License: Artistic 2.0
Group: Development/Tools
Source0: http://www.ivarch.com/programs/sources/%{name}-%{version}.tar.bz2
Source1: http://www.ivarch.com/programs/sources/%{name}-%{version}.tar.bz2.txt
URL: http://www.ivarch.com/programs/pv.shtml
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gettext
Requires: gettext

%description
PV ("Pipe Viewer") is a tool for monitoring the progress of data through a
pipeline.  It can be inserted into any normal pipeline between two processes
to give a visual indication of how quickly data is passing through, how long
it has taken, how near to completion it is, and an estimate of how long it
will be until completion.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --disable-splice
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

gunzip ${RPM_BUILD_ROOT}%{_mandir}/man?/*.gz || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc README doc/NEWS doc/TODO doc/COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1
%{_datadir}/locale/*/*/*
/usr/bin/%{name}


%changelog
* Tue Nov 12 2013 Michael Perzl <michael@perzl.org> - 1.4.12-1
- updated to version 1.4.12

* Mon Mar 18 2013 Michael Perzl <michael@perzl.org> - 1.4.6-1
- first version for AIX V5.1 and higher
